<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:29:57 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>BindingUtils (org.eclipse.papyrus.designer.ucm.core 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BindingUtils (org.eclipse.papyrus.designer.ucm.core 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BindingUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/utils/CommandSupport.html" title="class in org.eclipse.papyrus.designer.ucm.core.utils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/core/utils/BindingUtils.html" target="_top">Frames</a></li>
<li><a href="BindingUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.ucm.core.utils</div>
<h2 title="Class BindingUtils" class="title">Class BindingUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.ucm.core.utils.BindingUtils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">BindingUtils</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Utilities for binding of abstract types</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/utils/BindingUtils.html#BindingUtils--">BindingUtils</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/utils/BindingUtils.html#getAbstractTypes-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.IPortType-">getAbstractTypes</a></span>(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.ucm/org.eclipse.papyrus.designer.ucm.profile/apidocs/org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/IPortType.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">IPortType</a>&nbsp;portType)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Type</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/utils/BindingUtils.html#getActual-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.PortTypeSpec-org.eclipse.uml2.uml.Type-">getActual</a></span>(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.ucm/org.eclipse.papyrus.designer.ucm.profile/apidocs/org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/PortTypeSpec.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">PortTypeSpec</a>&nbsp;portTypeSpec,
         org.eclipse.uml2.uml.Type&nbsp;formal)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/utils/BindingUtils.html#resetActual-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.PortTypeSpec-org.eclipse.uml2.uml.Type-">resetActual</a></span>(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.ucm/org.eclipse.papyrus.designer.ucm.profile/apidocs/org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/PortTypeSpec.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">PortTypeSpec</a>&nbsp;portTypeSpec,
           org.eclipse.uml2.uml.Type&nbsp;formal)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/utils/BindingUtils.html#setActual-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.PortTypeSpec-org.eclipse.uml2.uml.Type-org.eclipse.uml2.uml.Type-">setActual</a></span>(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.ucm/org.eclipse.papyrus.designer.ucm.profile/apidocs/org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/PortTypeSpec.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">PortTypeSpec</a>&nbsp;portTypeSpec,
         org.eclipse.uml2.uml.Type&nbsp;formal,
         org.eclipse.uml2.uml.Type&nbsp;actual)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BindingUtils--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BindingUtils</h4>
<pre>public&nbsp;BindingUtils()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getAbstractTypes-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.IPortType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAbstractTypes</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;getAbstractTypes(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.ucm/org.eclipse.papyrus.designer.ucm.profile/apidocs/org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/IPortType.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">IPortType</a>&nbsp;portType)</pre>
</li>
</ul>
<a name="getActual-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.PortTypeSpec-org.eclipse.uml2.uml.Type-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getActual</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Type&nbsp;getActual(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.ucm/org.eclipse.papyrus.designer.ucm.profile/apidocs/org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/PortTypeSpec.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">PortTypeSpec</a>&nbsp;portTypeSpec,
                                                  org.eclipse.uml2.uml.Type&nbsp;formal)</pre>
</li>
</ul>
<a name="setActual-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.PortTypeSpec-org.eclipse.uml2.uml.Type-org.eclipse.uml2.uml.Type-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setActual</h4>
<pre>public static&nbsp;void&nbsp;setActual(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.ucm/org.eclipse.papyrus.designer.ucm.profile/apidocs/org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/PortTypeSpec.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">PortTypeSpec</a>&nbsp;portTypeSpec,
                             org.eclipse.uml2.uml.Type&nbsp;formal,
                             org.eclipse.uml2.uml.Type&nbsp;actual)</pre>
</li>
</ul>
<a name="resetActual-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.PortTypeSpec-org.eclipse.uml2.uml.Type-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>resetActual</h4>
<pre>public static&nbsp;void&nbsp;resetActual(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.ucm/org.eclipse.papyrus.designer.ucm.profile/apidocs/org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/PortTypeSpec.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">PortTypeSpec</a>&nbsp;portTypeSpec,
                               org.eclipse.uml2.uml.Type&nbsp;formal)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BindingUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/utils/CommandSupport.html" title="class in org.eclipse.papyrus.designer.ucm.core.utils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/core/utils/BindingUtils.html" target="_top">Frames</a></li>
<li><a href="BindingUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
